Skip to main content
GET
/
prospects
/
{prospectId}
Get a prospect
curl --request GET \
  --url https://api.altahq.com/v1/prospects/{prospectId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "objectType": "prospect",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
Returns a prospect object.

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Path Parameters

prospectId
string<uuid>
required

The UUID of the prospect.

Response

The prospect object

id
string<uuid>
required

Unique identifier for the object.

objectType
enum<string>
required

The type of this object.

Available options:
prospect
createdAt
string<date-time>
required

Timestamp when the object was created.

updatedAt
string<date-time>
required

Timestamp when the object was last updated.

personId
string<uuid>
required

The ID of the person associated with this prospect.

campaignId
string<uuid>
required

The ID of the campaign this prospect belongs to.